%define major 17
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Command-line tools and library for transforming PDF files
Name:	qpdf
Version:	6.0.0
Release:	%mkrel 1
License:	Artistic 2.0
Group:		Office
URL:		http://qpdf.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/qpdf/qpdf-%{version}.tar.xz
BuildRequires:	zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	perl
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF viewer
or a program capable of converting PDF into other formats.


%package devel
Summary:	Development files for QPDF library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries necessary
for developing programs using the QPDF library.


%package doc
Summary:	QPDF Manual
Group:		Documentation
BuildArch:	noarch

%description doc
QPDF Manual

%prep
%setup -q

%build
# work-around check-rpaths errors
autoreconf --verbose --force --install

%configure2_5x --disable-static \
           --enable-show-failed-test-output
%make

%install
rm -rf %buildroot
%makeinstall_std

# https://fedoraproject.org/wiki/Packaging_tricks#With_.25doc
mkdir __doc
mv  %{buildroot}%{_datadir}/doc/qpdf/* __doc
rm -rf %{buildroot}%{_datadir}/doc/qpdf

rm -f %{buildroot}%{_libdir}/libqpdf.la


%files
%{_bindir}/fix-qdf
%{_bindir}/qpdf
%{_bindir}/zlib-flate
%{_mandir}/man1/*
%doc README TODO ChangeLog Artistic-2.0
%{_libdir}/libqpdf*.so.%{major}
%{_libdir}/libqpdf*.so.%{major}.*

%files devel
%doc examples/*.cc examples/*.c
%{_includedir}/*
%{_libdir}/libqpdf*.so
%{_libdir}/pkgconfig/libqpdf.pc

%files doc
%doc __doc/*


%changelog
* Tue Jan 19 2016 bb <bb> 6.0.0-1pclos2016
- update

* Thu Feb 26 2015 bb <bb> 5.1.2-1pclos2015
- import from france
